<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>jetty-project</artifactId>
    <groupId>org.eclipse.jetty</groupId>
    <version>9.4.41.v20210516</version>
  </parent>

  <modelVersion>4.0.0</modelVersion>
  <groupId>org.eclipse.jetty.http2</groupId>
  <artifactId>http2-parent</artifactId>
  <packaging>pom</packaging>
  <name>Jetty :: HTTP2</name>

  <modules>
    <module>http2-client</module>
    <module>http2-common</module>
    <module>http2-hpack</module>
    <module>http2-http-client-transport</module>
    <module>http2-server</module>
  </modules>

  <profiles>
    <profile>
      <id>jdk8</id>
      <activation>
        <jdk>[1.8,9)</jdk>
      </activation>
      <modules>
        <!-- These tests can only be run in Java 8 -->
        <module>http2-alpn-tests</module>
      </modules>
    </profile>
  </profiles>

</project>
